%define anolis_release 1
Name:           cups-pk-helper
Version:        0.2.7
Release:        %{anolis_release}%{?dist}
Summary:        A helper that makes system-config-printer use PolicyKit

License:        GPLv2+
URL:            http://www.freedesktop.org/wiki/Software/cups-pk-helper/
Source0:        http://www.freedesktop.org/software/cups-pk-helper/releases/cups-pk-helper-%{version}.tar.xz

BuildRequires: meson >= 0.49.2
BuildRequires: gettext
BuildRequires: pkgconfig(gio-2.0) >= 2.36.0
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.36.0
BuildRequires: pkgconfig(glib-2.0) >= 2.36.0
BuildRequires: pkgconfig(gobject-2.0) >= 2.36.0
BuildRequires: pkgconfig(polkit-gobject-1) >= 0.97
BuildRequires: cups-devel >= 1:1.6

Requires:       cups-libs >= 1:1.6
Requires:       glib2 >= 2.36.0


%description
cups-pk-helper is an application which makes cups configuration
interfaces available under control of PolicyKit.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS
%{_libexecdir}/cups-pk-helper-mechanism
%{_datadir}/dbus-1/system.d/org.opensuse.CupsPkHelper.Mechanism.conf
%{_datadir}/dbus-1/system-services/org.opensuse.CupsPkHelper.Mechanism.service
%{_datadir}/polkit-1/actions/org.opensuse.cupspkhelper.mechanism.policy

%changelog
* Sun Jan 1 2023 Funda Wang <fundawang@yeah.net> - 0.2.7-1
- New version 0.2.7

* Mon May 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.2.6-1
- Init from upstream version 0.2.6
